commit:     732804afb7917f14b586ff122d189d9439f30840
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 28 09:00:53 2021 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Feb 28 12:26:10 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=732804af

games-rpg/zsxd: cmake.eclass, xdg.eclass, https, fix tarball SRC_URI

Need to set CMAKE_MAKEFILE_GENERATOR=emake, otherwise ninja fails with:
ninja: error: build.ninja:125: bad $-escape (literal $ must be written as $$)

Closes: https://bugs.gentoo.org/691358
Package-Manager: Portage-3.0.16, Repoman-3.0.2
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 games-rpg/zsxd/Manifest             |  2 +-
 games-rpg/zsxd/zsxd-1.9.0-r1.ebuild | 42 +++++++++++++++----------------------
 2 files changed, 18 insertions(+), 26 deletions(-)

diff --git a/games-rpg/zsxd/Manifest b/games-rpg/zsxd/Manifest
index aad1e550b8c..5e3a5f7c19a 100644
--- a/games-rpg/zsxd/Manifest
+++ b/games-rpg/zsxd/Manifest
@@ -1 +1 @@
-DIST zsxd-1.9.0.tar.gz 3706125 BLAKE2B 
3d83fff945bfecc387b79126628e3d1f45a461ae7b58b702dbe0c0f1799d6b57c53ecd4b1bfeb7a9ccebd279a3b299da8c328a2aca3126bea09f4865e1bfea1e
 SHA512 
cecb8b4ff40b7129bb516cf71e9bbbc92e10ace944c735eb2885dbf0e0b8adef80491c1874ee91efb2c9779b819d0217639fe85f9e3a085c980af6a2972e571e
+DIST zsxd-zsxd-1.9.0.tar.gz 3690390 BLAKE2B 
c5b6a671c5b5f8ba702ba23f447c0858aa870730a752761f65092b8e1f4a0879f2877fabf0e52a71be380ff25628f0be94f01f6a02009bfe4f7d1952f50ba5f4
 SHA512 
a457374adc7a8f4b7872b6f6693051d1499320f4349d55009e581132b62f5eebd6e35cc80c1ac14c5c80b74145fb7ac26b312f3f329df71c36e71d9a38383f05

diff --git a/games-rpg/zsxd/zsxd-1.9.0-r1.ebuild 
b/games-rpg/zsxd/zsxd-1.9.0-r1.ebuild
index 76a8fc0fe7f..b8e0195e468 100644
--- a/games-rpg/zsxd/zsxd-1.9.0-r1.ebuild
+++ b/games-rpg/zsxd/zsxd-1.9.0-r1.ebuild
@@ -1,13 +1,15 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
-inherit eutils gnome2-utils cmake-utils
+CMAKE_MAKEFILE_GENERATOR=emake
+inherit cmake desktop xdg
 
-DESCRIPTION="A free 2D Zelda fangame parody"
-HOMEPAGE="http://www.solarus-games.org/";
-SRC_URI="http://www.zelda-solarus.com/downloads/${PN}/${P}.tar.gz";
+DESCRIPTION="Free 2D Zelda fangame parody"
+HOMEPAGE="https://www.solarus-games.org/";
+SRC_URI="https://gitlab.com/solarus-games/${PN}/-/archive/${PN}-${PV}/${PN}-${PN}-${PV}.tar.gz";
+S="${WORKDIR}/${PN}-${PN}-${PV}"
 
 LICENSE="all-rights-reserved CC-BY-SA-3.0 GPL-3"
 SLOT="0"
@@ -15,14 +17,16 @@ KEYWORDS="~amd64 ~x86"
 IUSE=""
 RESTRICT="mirror bindist"
 
-RDEPEND=">=games-engines/solarus-1.3.1-r1
-       <games-engines/solarus-1.4.0"
+RDEPEND="
+       >=games-engines/solarus-1.3.1-r1
+       <games-engines/solarus-1.4.0
+"
 DEPEND="app-arch/zip"
 
 DOCS=( ChangeLog readme.txt )
 
 src_prepare() {
-       cmake-utils_src_prepare
+       cmake_src_prepare
 }
 
 src_configure() {
@@ -30,29 +34,17 @@ src_configure() {
                -DSOLARUS_INSTALL_DATAROOTDIR="/usr/share"
                -DSOLARUS_INSTALL_BINDIR="/usr/bin"
        )
-       cmake-utils_src_configure
-}
-
-src_compile() {
-       cmake-utils_src_compile
+       cmake_src_configure
 }
 
 src_install() {
-       cmake-utils_src_install
+       cmake_src_install
        newicon -s 48 build/icons/${PN}_icon_48.png ${PN}.png
        newicon -s 256 build/icons/${PN}_icon_256.png ${PN}.png
 
        # install proper wrapper script
-       rm -f "${ED%/}/usr/bin/${PN}
-       make_wrapper ${PN} "solarus \"/usr/share/solarus/${PN}\"
+       rm "${ED}"/usr/bin/${PN} || die
+       make_wrapper ${PN} "solarus \"/usr/share/solarus/${PN}\""
 
        make_desktop_entry "${PN}" "Zelda: Mystery of Solarus XD"
 }
-
-pkg_preinst() {
-       gnome2_icon_savelist
-}
-
-pkg_postinst() {
-       gnome2_icon_cache_update
-}

Reply via email to